/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, NgZone, OnDestroy, OnChanges } from '@angular/core';
import { MatSnackBar } from '@angular/material/snack-bar';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { ErrorMessagesService } from '../../../_messages/error-messages.service';
import { ProgressSpinnerService } from '../../../_messages/progress-spinner.service';
import { BannerService } from '../../../_services/banner.service';
import * as i0 from "@angular/core";
interface AssignmentProps {
    template: string;
}
export declare class AssignmentComponent implements OnInit, OnDestroy, OnChanges {
    private angularPConnect;
    private psService;
    private erService;
    private ngZone;
    private snackBar;
    bannerService: BannerService;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    arChildren$: any[];
    itemKey$: string;
    isCreateStage$: boolean;
    updateToken$: number;
    isInModal$: boolean;
    angularPConnectData: AngularPConnectData;
    configProps$: AssignmentProps;
    newPConn$: any;
    containerName$: string;
    bInitialized: boolean;
    templateName$: string;
    arMainButtons$: any[];
    arSecondaryButtons$: any[];
    actionsAPI: any;
    bHasNavigation$: boolean;
    bIsVertical$: boolean;
    arCurrentStepIndicies$: number[];
    arNavigationSteps$: any[];
    init: boolean;
    finishAssignment: any;
    navigateToStep: any;
    saveAssignment: any;
    cancelAssignment: any;
    cancelCreateStageAssignment: any;
    showPage: any;
    bReInit: boolean;
    localizedVal: any;
    localeCategory: string;
    localeReference: any;
    snackBarRef: any;
    constructor(angularPConnect: AngularPConnectService, psService: ProgressSpinnerService, erService: ErrorMessagesService, ngZone: NgZone, snackBar: MatSnackBar, bannerService: BannerService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    ngOnChanges(): void;
    updateChanges(): void;
    checkIfRefComponent(thePConn: any): boolean;
    initComponent(): void;
    createButtons(): void;
    createButtonsForMultiStepForm(oCaseInfo: any): void;
    findCurrentIndicies(arStepperSteps: any[], arIndicies: number[], depth: number): number[];
    onSaveActionSuccess(data: any): void;
    onActionButtonClick(oData: any): void;
    buttonClick(sAction: any, sButtonType: any): void;
    formValid(): boolean;
    touchAll(): void;
    topViewRefresh(): void;
    registerForRefresh(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AssignmentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AssignmentComponent, "app-assignment", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; "arChildren$": { "alias": "arChildren$"; "required": false; }; "itemKey$": { "alias": "itemKey$"; "required": false; }; "isCreateStage$": { "alias": "isCreateStage$"; "required": false; }; "updateToken$": { "alias": "updateToken$"; "required": false; }; "isInModal$": { "alias": "isInModal$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
